FTPWATCH(8)

NAME
ftpwatch - Notifies you of changes on remote ftp servers

SYNOPSIS
ftpwatch

DESCRIPTION
ftpwatch is a program intended to be run as a cron job. Every user who wants to use it should install it into his crontab file. That is add something like:

    47 5 * * 7 /usr/bin/ftpwatch

The user should then create a .ftpwatchrc file. If one is found the specifed files and directories in that file will be dired, and the result is stored as separate files in a .ftpwatch directory i the home directory. diff(1) is invoked to find any changes since last run. If any are found, the output of diff is mailed to the user.

OPTIONS
-d<opt> passes the options in <opt> to diff when invoked to generate the change-repport sent to the user.

-p run ftp in passive mode

CONFIGURATION FILES
Each user can place a .ftpwatchrc file in there home directories, listing the files or directories they are intrested in. The format is simpel. Each line of the file is of the following type:

    <Host>:<File>

Where <Host> is the hostname of the ftp server and <File> is the file or directory to watch. If you instead want to watch an entire directory structure recoursly you can add an R to the config line of the dir whoes subdirs you are intresed in, like this:

    <Host>:R:<File>

AUTHOR
Hakan Ardo <hakan@debian.org>